@ECHO OFF
REM ###############################################################################
REM # PasswordRBL.com 
REM # Password Firewall for Windows 
REM # Version 4.20
REM #
REM # Schedule this script to run via Group Policy to uninstall Password Firewall
REM # Additional documentation at www.PasswordRBL.com
REM # 
REM # Use of this file is limited to active subscribers only.
REM # This file is licensed as "source-available."  You can view the source code
REM # but end-user cannot redistribute derivitive works and no warranty is provided
REM ###############################################################################

eventcreate.exe /L Application  /T INFORMATION /SO "Password Firewall Uninstall" /ID 101 /D "Password Firewall uninstallation called"

SET UNINSTALLEXE="%PROGRAMFILES%\PasswordRBL\unins000.exe"
SET UNINSTALLDAT="%PROGRAMFILES%\PasswordRBL\unins000.dat"
SET LOGFILE=%SYSTEMROOT%\System32\LogFiles\passwdfw-uninstall.log

IF NOT EXIST %UNINSTALLEXE% GOTO NOEXEORNODAT
IF NOT EXIST %UNINSTALLDAT% GOTO NOEXEORNODAT

eventcreate.exe /L Application  /T INFORMATION /SO "Password Firewall Uninstall" /ID 105 /D "Calling uninstaller: %UNINSTALLEXE%"
eventcreate.exe /L Application  /T INFORMATION /SO "Password Firewall Uninstall" /ID 106 /D "Uninstall log available at: %LOGFILE%"

%UNINSTALLEXE% /VERYSILENT /SUPPRESSMSGBOXES /LOG="%LOGFILE%"

GOTO DONE



:NOEXEORNODAT
REM Uninstall EXE or DAT was not found
eventcreate.exe /L Application  /T INFORMATION /SO "Password Firewall Uninstall" /ID 190 /D "Password Firewall uninstallation program not found.  This is usually because Password Firewall has already been uninstalled."



:DONE
eventcreate.exe /L Application  /T INFORMATION /SO "Password Firewall Uninstall" /ID 150 /D "Uninstallation script complete."
REM EOF